## Client Module

### API Flow
The SdkClientFactory provides fluent API client both for **Sender** and **Subscriber**.

As the flow chart below shows, the fluent client guides through all essentials calls
in order to hand in a correct **Submission**.

#### Api client flow for sending a submission

```mermaid
flowchart LR

A[retrieveOAuthToken] --> B(Upload Attachements)
B -->|encrypt Attachments| C[Create Submission] 
B -->|upload Attachments| C[Result 2]
```

#### Api client flow for subscribing to a submission

```mermaid
flowchart TD

A[retrieveOAuthToken] --> B(Upload)
B -->|uploadAttachment| C[Result 1]
B -->|uploadData| D[Result 2]
```